#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int merleg[n][2];
    int kerdes[m][3];
    int valasz[m]={0};
    for(int i=0;i<n;i++)
        for(int j=0;j<2;j++)
            cin>>merleg[i][j];
    for(int i=0;i<m;i++)
        for(int j=0;j<3;j++)
            cin>>kerdes[i][j];
    for(int i=0;i<m;i++)
    {
        for(int j=kerdes[i][0];j<=kerdes[i][1];j++)
        {
            if(merleg[j][0]<=kerdes[i][2]&&merleg[j][1]>=kerdes[i][2])
                valasz[i]++;
        }
    }
    for(int i=0;i<m;i++)
       cout<<valasz[i]<<endl;
    return 0;
}